org.apache.tiles.template

## Class InsertTemplateModel

- java.lang.Object
- - org.apache.tiles.template.InsertTemplateModel

-     public class InsertTemplateModel
      extends Object

  Insert a template.

  Insert a template with the possibility to pass parameters (called attributes). A template can be seen as a procedure that can take parameters or attributes. `<tiles:insertTemplate>` allows to define these attributes and pass them to the inserted jsp page, called template. Attributes are defined using nested tag `<tiles:putAttribute>` or `<tiles:putListAttribute>`.

  You must specify `template` attribute, for inserting a template

  Example :

       <code>
                 <tiles:insertTemplate template="/basic/myLayout.jsp" flush="true">
                    <tiles:putAttribute name="title" value="My first page" />
                    <tiles:putAttribute name="header" value="/common/header.jsp" />
                    <tiles:putAttribute name="footer" value="/common/footer.jsp" />
                    <tiles:putAttribute name="menu" value="/basic/menu.jsp" />
                    <tiles:putAttribute name="body" value="/basic/helloBody.jsp" />
                 </tiles:insertTemplate>
               </code>

  Since:
    2.2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsertTemplateModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(String template, String templateType, String templateExpression, String role, String preparer, boolean flush, Request request, ModelBody modelBody)` Executes the operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsertTemplateModel

          public InsertTemplateModel()

  - ### Method Detail

    - #### execute

          public void execute(String template,
                              String templateType,
                              String templateExpression,
                              String role,
                              String preparer,
                              boolean flush,
                              Request request,
                              ModelBody modelBody)
                       throws IOException

      Executes the operation.
      Parameters:
        `template` - The template to render.
        `templateType` - The type of the template attribute.
        `templateExpression` - The expression to evaluate to get the value of the template.
        `role` - A comma-separated list of roles. If present, the template will be rendered only if the current user belongs to one of the roles.
        `preparer` - The preparer to use to invoke before the definition is rendered. If specified, it overrides the preparer specified in the definition itself.
        `flush` - If `true`, the response will be flushed after the insert.
        `request` - The request.
        `modelBody` - The body.
      Throws:
        `IOException` - If something goes wrong.
      Since:
        2.2.0

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.